CodecMetaClassSupport (Grails 3.3.2)
Date: 2017-11-24

Package: org.grails.encoder

## [Groovy] Class CodecMetaClassSupport

- org.grails.encoder.CodecMetaClassSupport

- Helper methods for Codec metaclass operations.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `DECODE_PREFIX`
    `static java.lang.Object[]` | `EMPTY_ARGS`
    `static java.lang.String` | `ENCODE_AS_PREFIX`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addMetaMethod(java.util.List<groovy.lang.ExpandoMetaClass> targetMetaClasses, java.lang.String methodName, groovy.lang.Closure closure)`
    `` | `void` | `configureCodecMethods(CodecFactory codecFactory, boolean cacheLookup = !Environment.getCurrent(, java.util.List<groovy.lang.ExpandoMetaClass> targetMetaClasses = resolveDefaultMetaClasses()` Adds "encodeAs*" and "decode*" metamethods for given codecClass

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final java.lang.String DECODE_PREFIX

    - #### static final java.lang.Object[] EMPTY_ARGS

    - #### static final java.lang.String ENCODE_AS_PREFIX

  - ### Method Detail

    - #### protected void addMetaMethod(java.util.List<groovy.lang.ExpandoMetaClass> targetMetaClasses, java.lang.String methodName, groovy.lang.Closure closure)

    - #### @groovy.transform.CompileStatic void configureCodecMethods(CodecFactory codecFactory, boolean cacheLookup = !Environment.getCurrent(, java.util.List<groovy.lang.ExpandoMetaClass> targetMetaClasses = resolveDefaultMetaClasses()

      Adds "encodeAs*" and "decode*" metamethods for given codecClass

      Parameters:
        `codecClass` - the codec class